//
//  Planet.h
//  SolSystem
//
//  Created by Paul Jungwirth on 11/14/09.
//  Copyright 2009 Illuminated Computing. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef struct _Vector {
	float i;
	float j;
	float magnitude;
} Vector;

@interface Planet : NSObject {
	float _kmX, _kmY;
	float _velX, _velY;
	float _mass, _radius;
	NSColor* _color;
	NSString* _name;
}

- (Vector) distanceFrom:(Planet *) p;
- (float) kmX;
- (float) kmY;
- (float) velX;	// km/second
- (float) velY;	// km/second
- (float) mass;	// kg
- (float) radius; // km
- (NSString*) name;
- (NSColor*) color;

- (void) setKmX:(float) x;
- (void) setKmY:(float) y;
- (void) setVelX:(float) x;
- (void) setVelY:(float) y;
- (void) setMass:(float) m;
- (void) setRadius:(float) r;
- (void) setName:(NSString*) s;
- (void) setColor:(NSColor*) c;

@end
