//
//  Planet.m
//  SolSystem
//
//  Created by Paul Jungwirth on 11/14/09.
//  Copyright 2009 Illuminated Computing. All rights reserved.
//

#import <math.h>
#import "Planet.h"


@implementation Planet

- (id) init {
	self = [super init];
	if (self) {
	}
	return self;
}

- (Vector) distanceFrom:(Planet *) p {
	Vector v;
	v.i = _kmX - [p kmX];
	v.j = _kmY - [p kmY];
	v.magnitude = sqrt(pow(v.i, 2) + pow(v.j, 2));
	return v;
}

- (float) kmX { return _kmX; }
- (float) kmY { return _kmY; }
- (float) velX { return _velX; }
- (float) velY { return _velY; }
- (float) mass { return _mass; }
- (float) radius { return _radius; }
- (NSString*) name { return _name; }
- (NSColor*) color { return _color; }

- (void) setKmX:(float) x { _kmX = x; }
- (void) setKmY:(float) y { _kmY = y; }
- (void) setVelX:(float) x { _velX = x; }
- (void) setVelY:(float) y { _velY = y; }
- (void) setMass:(float) m { _mass = m; }
- (void) setRadius:(float) r { _radius = r; }
- (void) setName:(NSString*) s { _name = s; }
- (void) setColor:(NSColor*) c { _color = c; }


@end
