//
//  System.h
//  SolSystem
//
//  Created by Paul Jungwirth on 11/14/09.
//  Copyright 2009 Illuminated Computing. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface System : NSObject {

	float _kmHeight;
	float _kmWidth;
	NSMutableArray* _planets;
	NSLock* _lock;

}

- (void) lock;
- (void) unlock;
- (void) advanceTime:(float) secs;
- (float) maxPos;
- (NSArray*) planets;
- (float) kmHeight;
- (float) kmWidth;
- (void) setKmHeight:(float) h;
- (void) setKmWidth:(float) w;
- (void) moveTime;

@end
